@echo off
rem *******************************************************************************
rem Licensed Materials - Property of IBM
rem (c) Copyright IBM Corporation 2008, 2015. All Rights Reserved.
rem 
rem Note to U.S. Government Users Restricted Rights:  
rem Use, duplication or disclosure restricted by GSA ADP Schedule 
rem Contract with IBM Corp. 
rem *******************************************************************************

setlocal

if not "%LIBERTY%"=="true" (
    echo Execute the server.startup.bat or server.shutdown.bat script instead of executing this script directly
    exit/b 1
)

rem cannot invoke liberty.server.bat script with full pathname containing spaces
pushd "%START_DIR%"

rem location of the WAS Liberty installation
set CLM_LIBERTY_HOME=liberty\wlp

rem serverName value to pass to Liberty/bin/server invocation
set CLM_LIBERTY_SERVER_NAME=clm

rem location Liberty uses to find CLM app WARs, server.xml, etc.
set WLP_USER_DIR=%cd%\liberty

rem server template location, contents will be copied into Liberty server area
set CLM_LIBERTY_SERVER_TEMPLATE=%WLP_USER_DIR%\clmServerTemplate

set JVM_ARGS=%JAVA_OPTS%
set WLP_DEBUG_ADDRESS=8000

rem if the server hasn't been created yet, create it first
if not exist "%WLP_USER_DIR%"\servers\%CLM_LIBERTY_SERVER_NAME% (
    call "%CLM_LIBERTY_HOME%"\bin\server.bat create %CLM_LIBERTY_SERVER_NAME%
    xcopy /y /s /q "%CLM_LIBERTY_SERVER_TEMPLATE%" "%WLP_USER_DIR%\servers\%CLM_LIBERTY_SERVER_NAME%"
)

rem try to create "logs" directory link, if it doesn't exist
if not "%1"=="stop" (
    if not exist logs (
        if not exist "%WLP_USER_DIR%\servers\%CLM_LIBERTY_SERVER_NAME%\logs" (
            mkdir "%WLP_USER_DIR%\servers\%CLM_LIBERTY_SERVER_NAME%\logs"
        )
        mklink /d logs "%WLP_USER_DIR%\servers\%CLM_LIBERTY_SERVER_NAME%\logs" 1>nul 2>nul
        if ERRORLEVEL 1 (
            echo Server logs are in %WLP_USER_DIR%\servers\%CLM_LIBERTY_SERVER_NAME%\logs
            echo Execute this script in a command shell run as administrator to create a link to the logs in this directory.
        )
    )
)

if not "%1"=="create" (
    call "%CLM_LIBERTY_HOME%"\bin\server.bat "%1" %CLM_LIBERTY_SERVER_NAME%
)

popd
endlocal
